#include <iostream>
#include <string>

using namespace std;

main()
{
    char x, y;
    int a, b;
    string sol;
    cin >> x >> y;
    cin >> a >> b;
    if (a > b + 1 || b > a + 1)
    {
        cout << "nemoguce";
    }else if (a == b || a == b+1)
    {
        for (int i = 0; i < a+b ; i++)
        {
        	if( i % 2 == 0){
        	sol.insert(i, 1 , x);
			}else
        	sol.insert(i, 1 , y);
        }
        
    }else if(b == a+1){
    	for (int i = 0; i < a+b ; i++)
        {
        	if( i % 2 == 0){
        	sol.insert(i, 1 , y);
			}else
        	sol.insert(i, 1 , x);
        }	
	}
    
    cout<<sol;
    return 0;
}